winstd::wstring_guid Class Reference
String Formatting

Wide character implementation of a class to support converting GUID to string. More...

`#include <WinStd/Common.h>`

Inheritance diagram for winstd::wstring_guid:

## Public Member Functions

Initializing string using template in memory
| wstring_guid (const GUID &guid)
| Initializes a new string and formats its contents to string representation of given GUID. More...
Public Member Functions inherited from winstd::basic_string_guid< wchar_t, std::char_traits< wchar_t >, std::allocator< wchar_t > >
| basic_string_guid (const GUID &guid, const wchar_t *format)
| Initializes a new string and formats its contents to string representation of given GUID. More...

## Detailed Description

Wide character implementation of a class to support converting GUID to string.

## Constructor & Destructor Documentation

## wstring_guid()

winstd::wstring_guid::wstring_guid | ( | const GUID & | guid | ) |

inline

Initializes a new string and formats its contents to string representation of given GUID.

Parameters

  [in] | guid | GUID to convert

The documentation for this class was generated from the following file:

- include/WinStd/Common.h